# -*- rpm-spec -*-
# $Id: moodss,v 1.11 2004/11/20 16:58:17 me Exp $

%def_without perl
%def_without python
%def_without mysql

%def_with sensors
%def_with snmp

%add_tcl_lib_path %_datadir/%name

Name: moodss
Version: 19.3
Release: alt0.1

Summary: powerful modular monitoring graphical application
License: GPL
Group: Monitoring
Url: http://moodss.sourceforge.net/

Source0: %name-%version.tar.bz2
Source1: %name.menu
Patch0: %name-19.3-alt-paths.patch
Patch1: %name-19.3-alt-early-packages.patch

Requires: pciutils usbutils
BuildRequires: tcl-devel rpm-build-tcl >= 0.1-alt0.3

%package perl
Summary: perl bindings to %name
Group: Monitoring
Requires: %name = %version-%release

%package python
Summary: python bindings to %name
Group: Monitoring
Requires: %name = %version-%release

%package mysql
Summary: %name modules for mysql
Group: Monitoring
Requires: %name = %version-%release

%package sensors
Summary: %name modules for use with lm_sensors package
Group: Monitoring
Requires: %name = %version-%release lm_sensors

%package snmp
Summary: %name SNMP modules
Group: Monitoring
Requires: %name = %version-%release

# {{{ descriptions

%description
%name (Modular Object Oriented Dynamic SpreadSheet) is a
multi-purpose monitoring tool with table, graphical, textual data
viewers, thresholds, formulas and full drag and drop user interface as
well as a UNIX daemon (separate moomps package available). Compatible
with a variety of SQL databases for data history over time storage and
display. Includes modules for Linux system, MySQL database, SNMP
networking and Apache. Modules can be written in Tcl, Perl (tclperl
package required), Python (tclpython package required) or C.

%description perl
%name (Modular Object Oriented Dynamic SpreadSheet) is a
multi-purpose monitoring tool with table, graphical, textual data
viewers, thresholds, formulas and full drag and drop user interface as
well as a UNIX daemon (separate moomps package available). Compatible
with a variety of SQL databases for data history over time storage and
display. Includes modules for Linux system, MySQL database, SNMP
networking and Apache.

With this package %name modules can be written in Perl,
tclperl package (not yet supported) required.

%description python
%name (Modular Object Oriented Dynamic SpreadSheet) is a
multi-purpose monitoring tool with table, graphical, textual data
viewers, thresholds, formulas and full drag and drop user interface as
well as a UNIX daemon (separate moomps package available). Compatible
with a variety of SQL databases for data history over time storage and
display. Includes modules for Linux system, MySQL database, SNMP
networking and Apache.

With this package %name modules can be written in Python,
tclpython package (not yet supported) required.


%description mysql
%name (Modular Object Oriented Dynamic SpreadSheet) is a
multi-purpose monitoring tool with table, graphical, textual data
viewers, thresholds, formulas and full drag and drop user interface as
well as a UNIX daemon (separate moomps package available). Compatible
with a variety of SQL databases for data history over time storage and
display. Includes modules for Linux system, MySQL database, SNMP
networking and Apache.

This package contains set of %name modules for use with MySQL

%description sensors
%name (Modular Object Oriented Dynamic SpreadSheet) is a
multi-purpose monitoring tool with table, graphical, textual data
viewers, thresholds, formulas and full drag and drop user interface as
well as a UNIX daemon (separate moomps package available). Compatible
with a variety of SQL databases for data history over time storage and
display. Includes modules for Linux system, MySQL database, SNMP
networking and Apache.

This package contains %name modules for use with lm_sensors package,
which allows hardware status monitoring via SMBus.

%description snmp
%name (Modular Object Oriented Dynamic SpreadSheet) is a
multi-purpose monitoring tool with table, graphical, textual data
viewers, thresholds, formulas and full drag and drop user interface as
well as a UNIX daemon (separate moomps package available). Compatible
with a variety of SQL databases for data history over time storage and
display. Includes modules for Linux system, MySQL database, SNMP
networking and Apache.

This package contains %name modules, useful in SNMP-enabled environment.

# }}}

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%__rm -rf bwidget stooop tcllib tclxmldom

#not yet
if false; then
find . -mindepth 2 -type f -name \*.tcl -print0 |\
	xargs -r0 %__grep -Zl 'package\ provide' | tee .todo |\
	xargs -r0 %__subst -p 's|\(package provide\) \+\([[:alnum:]]\+\)|\1 %name::\2|g'
xargs -r0 %__grep 'package\ provide\ moodss::' < .todo |\
	%__sed 's|^.\+moodss::\([[:alnum:]]\+\).\+$|\
	s\@package \\+require \\+\1\@package require %name::\1\@g\;\
	s\@package \\+ifneeded \\+\1\@package ifneeded %name::\1\@g\;|g' |sort -u > .patterns
echo 's@package \+ifneeded \+filesystem@package ifneeded %name::filesystem@g' >> .patterns
find . -mindepth 2 -type f -name \*.tcl -print0 |\
	xargs -r0 %__subst -p "`cat .patterns`"
	subst 's|internationalization|moodss::internationalization|' moodss.tcl
fi
%__make

%install
%make_install ROOTDIR=%buildroot install
%__mv %buildroot%_bindir/%name %buildroot%_datadir/%name/%name.tcl
%__chmod 0644 %buildroot%_datadir/%name/%name.tcl
%__cat <<EOF > %buildroot%_bindir/%name
#!/bin/sh
#\\
exec wish "\$0" "\$@"
source %_datadir/%name/%name.tcl
EOF
%__chmod +x %buildroot%_bindir/%name
# menus, icons
%__install -p -m0644 -D %SOURCE1 %buildroot%_menudir/%name
%__install -p -m0644 -D %name.png %buildroot%_iconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
%_libdir/%name
%_datadir/%name
%_defaultdocdir/%name-%version
%_man1dir/%name.1*
%_menudir/*
%_iconsdir/*
%exclude %_datadir/%name/sensors
%exclude %_datadir/%name/snmp
%exclude %_datadir/%name/snmptrap
%exclude %_datadir/%name/Minimal
%exclude %_datadir/%name/Random
%exclude %_datadir/%name/Threaded
%exclude %_datadir/%name/minipy
%exclude %_datadir/%name/randpy
%exclude %_datadir/%name/my*
%exclude %_datadir/%name/log

%if_with perl
%files perl
%_datadir/%name/Minimal
%_datadir/%name/Random
%_datadir/%name/Threaded
%endif

%if_with python
%files python
%_datadir/%name/minipy
%_datadir/%name/randpy
%endif

%if_with mysql
%files mysql
%_datadir/%name/my*
%endif

%if_with sensors
%files sensors
%_datadir/%name/sensors
%endif

%if_with snmp
%files snmp
%_datadir/%name/snmp
%_datadir/%name/snmptrap
%endif

%changelog
* Sat Nov 20 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 19.3-alt0.1
- 19.3

* Sat Oct 30 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 19.2-alt0.1
- Initial build.

